import request from "@/service";

// 列表
export const dataList = (data) => {
  return request({
    url: "/recruit/position/query",
    method: "POST",
    data
  });
};

// 简历列表
export const dataResumeList = (data) => {
  return request({
    url: "/recruit/resume/page/query",
    method: "POST",
    data
  });
};

// 人才库
export const resumeList = (data) => {
  return request({
    url: "/recruit/resume/query",
    method: "POST",
    data
  });
};
// 上传 简历信息
export const addInterviewer = (data) => {
  return request({
    url: "/recruit/resume/submit/v2",
    method: "POST",
    data
  });
};

// 审批通过
export const passResume = (data) => {
  return request({
    url: "/recruit/resume/pass",
    method: "POST",
    data
  });
};

// 审批不通过
export const rejectResume = (data) => {
  return request({
    url: "/recruit/resume/reject",
    method: "POST",
    data
  });
};

// 填写面试时间
export const interviewTime = (data) => {
  return request({
    url: "/recruit/resume/interview/time",
    method: "POST",
    data
  });
};

// 面试通过
export const passInterview = (data) => {
  return request({
    url: "/recruit/resume/interview/pass",
    method: "POST",
    data
  });
};

// 面试不通过
export const rejectInterview = (data) => {
  return request({
    url: "/recruit/resume/interview/reject",
    method: "POST",
    data
  });
};

// 关闭岗位
export const colsePosit = (data) => {
  return request({
    url: "/recruit/post/close",
    method: "POST",
    data
  });
};

// 上传面试信息
export const userDetail = (data) => {
  return request({
    url: "/recruit/resume/upload/detail",
    method: "POST",
    data
  });
};

// 终止面试
export const stopResume = (data) => {
  return request({
    url: "/recruit/resume/terminate",
    method: "POST",
    data
  });
};

// 修改面试时间
export const updateInterviewTime = (data) => {
  return request({
    url: "/recruit/resume/modify/interview/time",
    method: "POST",
    data
  });
};

// 状态选项
export const statusList = (data) => {
  return request({
    url: "/recruit/status/query",
    method: "POST",
    data
  });
};

// 查询变更记录
export const changeList = (data) => {
  return request({
    url: "/recruit/change/record/query",
    method: "POST",
    data
  });
};

// 更新面试信息
export const interviewUpdate = (data) => {
  return request({
    url: "/recruit/resume/modify/info",
    method: "POST",
    data
  });
};

// 确认入职
export const entryConfirm = (data) => {
  return request({
    url: "/recruit/resume/offer/sure",
    method: "POST",
    data
  });
};

// 置顶
export const postUp = (data) => {
  return request({
    url: "/recruit/post/up",
    method: "POST",
    data
  });
};

// 取消置顶
export const postCancelUp = (data) => {
  return request({
    url: "/recruit/post/cancel/up",
    method: "POST",
    data
  });
};

// 查询是否有重复录用工号
export const checkWorkNo = (data) => {
  return request({
    url: "/approval/v2/find-employ",
    method: "POST",
    data
  });
};